Bug 49026 - Japanese letters get scrembled on gnome-terminal
Japanese letters get scrembled on gnome-terminal
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
: 49413 49414 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-07-12 23:02 EDT by Bill Huang
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-23 03:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-07-12 23:02:37 EDT
Description of Problem:
Install qa0709.0 in Japanese mode,Japanese letters get srembled on

How Reproducible:

Steps to Reproduce:
1. Input Japanese on gnome-terminal

Actual Results:
japanese letters are mojibake-ed

Expected Results:
Japanese can be displayed correctly

Additional Information:
Comment 1 David Mason 2001-07-13 10:28:27 EDT
owen can you take a look at this one?
Comment 2 Owen Taylor 2001-07-13 12:27:51 EDT
What font is your gnome-terminal configured to use? With:


Both Japanese input and display of Japanese files works 
perfectly for me. (This is using gnome-core-, 
Comment 3 Glen Foster 2001-07-13 15:43:59 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 4 Nakai 2001-07-17 17:38:27 EDT
rm ~/.gnome/Terminal
and run gnome-terminal again.

It's a default font problem.

Beginers can never choose the appropriate Japanese font
from the font dialog. So we must set the corrent font from
Comment 5 Owen Taylor 2001-07-17 18:12:24 EDT
What happened is that the .po file patch with the translation for 'fixed'
got lost. Its extremely hard to merge .po file patches from one
release of a package to another, and we didn't even try to do this.

If we expect this to ever work from release to release, the patch
absolutely must go upstream.
If somebody determines what the font should be, and makes a diff against
the .po file, we can rebuiild gnome-core easily enough.
Comment 6 Havoc Pennington 2001-07-17 18:32:34 EDT
Be careful, we are also going to dump in po files from the "gnome" module on
sources.redhat.com later on.
Comment 7 Bill Huang 2001-07-19 05:51:57 EDT
*** Bug 49414 has been marked as a duplicate of this bug. ***
Comment 8 Bill Huang 2001-07-23 03:32:44 EDT
*** Bug 49413 has been marked as a duplicate of this bug. ***
Comment 9 Havoc Pennington 2001-07-25 18:02:42 EDT

Note You need to log in before you can comment on or make changes to this bug.